org.eclipse.incquery.viewers.runtime.model

## Interface NotationPackage.Literals

- Enclosing interface:
    NotationPackage

      public static interface NotationPackage.Literals

  Defines literals for the meta objects that represent
  - each class,
  - each feature of each class,
  - each operation of each class,
  - each enum,
  - and each data type

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.eclipse.emf.ecore.EClass` | `ATTRIBUTE` The meta object literal for the '`Attribute`' class.
    `static org.eclipse.emf.ecore.EReference` | `ATTRIBUTE__CONTAINER` The meta object literal for the 'Container' reference feature.
    `static org.eclipse.emf.ecore.EClass` | `CONTAINMENT` The meta object literal for the '`Containment`' class.
    `static org.eclipse.emf.ecore.EClass` | `EDGE` The meta object literal for the '`Edge`' class.
    `static org.eclipse.emf.ecore.EReference` | `EDGE__SOURCE` The meta object literal for the 'Source' reference feature.
    `static org.eclipse.emf.ecore.EReference` | `EDGE__TARGET` The meta object literal for the 'Target' reference feature.
    `static org.eclipse.emf.ecore.EClass` | `FORMAT_SPECIFICATION` The meta object literal for the '`Format Specification`' class.
    `static org.eclipse.emf.ecore.EReference` | `FORMAT_SPECIFICATION__PROPERTIES` The meta object literal for the 'Properties' map feature.
    `static org.eclipse.emf.ecore.EClass` | `FORMATTABLE_ELEMENT` The meta object literal for the '`Formattable Element`' class.
    `static org.eclipse.emf.ecore.EReference` | `FORMATTABLE_ELEMENT__FORMAT` The meta object literal for the 'Format' containment reference feature.
    `static org.eclipse.emf.ecore.EAttribute` | `FORMATTABLE_ELEMENT__ID` The meta object literal for the 'Id' attribute feature.
    `static org.eclipse.emf.ecore.EAttribute` | `FORMATTABLE_ELEMENT__LABEL` The meta object literal for the 'Label' attribute feature.
    `static org.eclipse.emf.ecore.EEnum` | `HIERARCHY_POLICY` The meta object literal for the '`Hierarchy Policy`' enum.
    `static org.eclipse.emf.ecore.EClass` | `ITEM` The meta object literal for the '`Item`' class.
    `static org.eclipse.emf.ecore.EReference` | `ITEM__CHILDREN` The meta object literal for the 'Children' reference list feature.
    `static org.eclipse.emf.ecore.EReference` | `ITEM__PARAM_EOBJECT` The meta object literal for the 'Param EObject' reference feature.
    `static org.eclipse.emf.ecore.EAttribute` | `ITEM__PARAM_OBJECT` The meta object literal for the 'Param Object' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `ITEM__PARENT` The meta object literal for the 'Parent' reference feature.
    `static org.eclipse.emf.ecore.EAttribute` | `ITEM__POLICY` The meta object literal for the 'Policy' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `NOTATION_MODEL` The meta object literal for the '`Model`' class.
    `static org.eclipse.emf.ecore.EReference` | `NOTATION_MODEL__CONTAINMENTS` The meta object literal for the 'Containments' containment reference list feature.
    `static org.eclipse.emf.ecore.EReference` | `NOTATION_MODEL__EDGES` The meta object literal for the 'Edges' containment reference list feature.
    `static org.eclipse.emf.ecore.EAttribute` | `NOTATION_MODEL__ID` The meta object literal for the 'Id' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `NOTATION_MODEL__ITEMS` The meta object literal for the 'Items' containment reference list feature.
    `static org.eclipse.emf.ecore.EClass` | `STRING_TO_STRING_MAP` The meta object literal for the '`String To String Map`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `STRING_TO_STRING_MAP__KEY` The meta object literal for the 'Key' attribute feature.
    `static org.eclipse.emf.ecore.EAttribute` | `STRING_TO_STRING_MAP__VALUE` The meta object literal for the 'Value' attribute feature.

- - ### Field Detail

    - #### FORMATTABLE_ELEMENT

          static final org.eclipse.emf.ecore.EClass FORMATTABLE_ELEMENT

      The meta object literal for the '`Formattable Element`' class.
      See Also:
        `FormattableElement`, `NotationPackageImpl.getFormattableElement()`

    - #### FORMATTABLE_ELEMENT__LABEL

          static final org.eclipse.emf.ecore.EAttribute FORMATTABLE_ELEMENT__LABEL

      The meta object literal for the 'Label' attribute feature.

    - #### FORMATTABLE_ELEMENT__FORMAT

          static final org.eclipse.emf.ecore.EReference FORMATTABLE_ELEMENT__FORMAT

      The meta object literal for the 'Format' containment reference feature.

    - #### FORMATTABLE_ELEMENT__ID

          static final org.eclipse.emf.ecore.EAttribute FORMATTABLE_ELEMENT__ID

      The meta object literal for the 'Id' attribute feature.

    - #### FORMAT_SPECIFICATION

          static final org.eclipse.emf.ecore.EClass FORMAT_SPECIFICATION

      The meta object literal for the '`Format Specification`' class.
      See Also:
        `FormatSpecificationImpl`, `NotationPackageImpl.getFormatSpecification()`

    - #### FORMAT_SPECIFICATION__PROPERTIES

          static final org.eclipse.emf.ecore.EReference FORMAT_SPECIFICATION__PROPERTIES

      The meta object literal for the 'Properties' map feature.

    - #### ITEM

          static final org.eclipse.emf.ecore.EClass ITEM

      The meta object literal for the '`Item`' class.
      See Also:
        `ItemImpl`, `NotationPackageImpl.getItem()`

    - #### ITEM__PARENT

          static final org.eclipse.emf.ecore.EReference ITEM__PARENT

      The meta object literal for the 'Parent' reference feature.

    - #### ITEM__CHILDREN

          static final org.eclipse.emf.ecore.EReference ITEM__CHILDREN

      The meta object literal for the 'Children' reference list feature.

    - #### ITEM__POLICY

          static final org.eclipse.emf.ecore.EAttribute ITEM__POLICY

      The meta object literal for the 'Policy' attribute feature.

    - #### ITEM__PARAM_OBJECT

          static final org.eclipse.emf.ecore.EAttribute ITEM__PARAM_OBJECT

      The meta object literal for the 'Param Object' attribute feature.

    - #### ITEM__PARAM_EOBJECT

          static final org.eclipse.emf.ecore.EReference ITEM__PARAM_EOBJECT

      The meta object literal for the 'Param EObject' reference feature.

    - #### EDGE

          static final org.eclipse.emf.ecore.EClass EDGE

      The meta object literal for the '`Edge`' class.
      See Also:
        `EdgeImpl`, `NotationPackageImpl.getEdge()`

    - #### EDGE__SOURCE

          static final org.eclipse.emf.ecore.EReference EDGE__SOURCE

      The meta object literal for the 'Source' reference feature.

    - #### EDGE__TARGET

          static final org.eclipse.emf.ecore.EReference EDGE__TARGET

      The meta object literal for the 'Target' reference feature.

    - #### CONTAINMENT

          static final org.eclipse.emf.ecore.EClass CONTAINMENT

      The meta object literal for the '`Containment`' class.
      See Also:
        `ContainmentImpl`, `NotationPackageImpl.getContainment()`

    - #### NOTATION_MODEL

          static final org.eclipse.emf.ecore.EClass NOTATION_MODEL

      The meta object literal for the '`Model`' class.
      See Also:
        `NotationModelImpl`, `NotationPackageImpl.getNotationModel()`

    - #### NOTATION_MODEL__ITEMS

          static final org.eclipse.emf.ecore.EReference NOTATION_MODEL__ITEMS

      The meta object literal for the 'Items' containment reference list feature.

    - #### NOTATION_MODEL__EDGES

          static final org.eclipse.emf.ecore.EReference NOTATION_MODEL__EDGES

      The meta object literal for the 'Edges' containment reference list feature.

    - #### NOTATION_MODEL__CONTAINMENTS

          static final org.eclipse.emf.ecore.EReference NOTATION_MODEL__CONTAINMENTS

      The meta object literal for the 'Containments' containment reference list feature.

    - #### NOTATION_MODEL__ID

          static final org.eclipse.emf.ecore.EAttribute NOTATION_MODEL__ID

      The meta object literal for the 'Id' attribute feature.

    - #### ATTRIBUTE

          static final org.eclipse.emf.ecore.EClass ATTRIBUTE

      The meta object literal for the '`Attribute`' class.
      See Also:
        `AttributeImpl`, `NotationPackageImpl.getAttribute()`

    - #### ATTRIBUTE__CONTAINER

          static final org.eclipse.emf.ecore.EReference ATTRIBUTE__CONTAINER

      The meta object literal for the 'Container' reference feature.

    - #### STRING_TO_STRING_MAP

          static final org.eclipse.emf.ecore.EClass STRING_TO_STRING_MAP

      The meta object literal for the '`String To String Map`' class.
      See Also:
        `StringToStringMapImpl`, `NotationPackageImpl.getStringToStringMap()`

    - #### STRING_TO_STRING_MAP__VALUE

          static final org.eclipse.emf.ecore.EAttribute STRING_TO_STRING_MAP__VALUE

      The meta object literal for the 'Value' attribute feature.

    - #### STRING_TO_STRING_MAP__KEY

          static final org.eclipse.emf.ecore.EAttribute STRING_TO_STRING_MAP__KEY

      The meta object literal for the 'Key' attribute feature.

    - #### HIERARCHY_POLICY

          static final org.eclipse.emf.ecore.EEnum HIERARCHY_POLICY

      The meta object literal for the '`Hierarchy Policy`' enum.
      See Also:
        `HierarchyPolicy`, `NotationPackageImpl.getHierarchyPolicy()`